%{!?drupal6: %global drupal6 %{_datadir}/drupal6}
%{!?drupal6_modules: %global drupal6_modules %{drupal6}/sites/all/modules}

%global module admin_menu

Name:          drupal6-%{module}
Version:       1.9
Release:       2%{?dist}
Summary:       Provides a dropdown menu to most administrative tasks

Group:         Applications/Publishing
License:       GPLv2+
URL:           http://drupal.org/project/%{module}
Source0:       http://ftp.drupal.org/files/projects/%{module}-6.x-%{version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:      drupal6
# phpcompatinfo (computed from version 1.9)
Requires:      php-pcre

Provides:      drupal6(%{module}) = %{version}

%description
Provides a theme-independent administration interface (aka. "navigation",
"back-end"). It's a helper for novice users coming from other CMS, a time-saver
for site administrators, and useful for developers and site builders.

Administrative links are displayed in a CSS/JS-based menu at the top on all
pages of your site. It not only contains regular menu items — tasks and actions
are also included, enabling fast access to any administrative resource your
Drupal site provides.

This package provides the following Drupal module:
* %{module}


%prep
%setup -qn %{module}


%build
# Empty build section, nothing to build


%install
rm -rf %{buildroot}
mkdir -pm 0755 %{buildroot}%{drupal6_modules}/%{module}
cp -pr * %{buildroot}%{drupal6_modules}/%{module}/


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{!?_licensedir:%global license %%doc}
%license LICENSE.txt
%doc CHANGELOG.txt
%doc README.txt
%{drupal6_modules}/%{module}
%exclude %{drupal6_modules}/%{module}/*.txt

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Feb 27 2015 Shawn Iwinski <shawn.iwinski@gmail.com> - 1.9-1
- Updated to 1.9 (BZ #1195728)
- Removed RPM README b/c it only explained common Drupal workflow
- %%license usage
- Spec cleanup

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jul 12 2011 Paul W. Frields <stickster@gmail.com> - 1.8-1
- Update to upstream 6.x-1.8

* Tue Jul 12 2011 Paul W. Frields <stickster@gmail.com> - 1.6-2
- Include updated LICENSE.txt with correct FSF address

* Sat Apr  2 2011 Paul W. Frields <stickster@gmail.com> - 1.6-1
- Initial RPM package

